rte_flow_item_gtp(3)

NAME
rte_flow_item_gtp

SYNOPSIS

#include <rte_flow.h>

Detailed Description

RTE_FLOW_ITEM_TYPE_GTP.

Matches a GTPv1 header.

Definition at line 1282 of file rte_flow.h.

Field Documentation

  uint8_t v_pt_rsv_flags
Version (3b), protocol type (1b), reserved (1b), Extension header flag (1b), Sequence number flag (1b), N-PDU number flag (1b).

Definition at line 1295 of file rte_flow.h.

  uint8_t msg_type
Message type.

Definition at line 1296 of file rte_flow.h.

  rte_be16_t msg_len
Message length.

Definition at line 1297 of file rte_flow.h.

  rte_be32_t teid
Tunnel endpoint identifier.

Definition at line 1298 of file rte_flow.h.

  struct rte_gtp_hdr hdr
GTP header definition.

Definition at line 1300 of file rte_flow.h.

Author

Generated automatically by Doxygen for DPDK from the source code.